GangliaSink30 (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2.sink.ganglia
Class GangliaSink30

    java.lang.Object
      org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
          org.apache.hadoop.metrics2.sink.ganglia.GangliaSink30

All Implemented Interfaces:
  MetricsPlugin, MetricsSink

Direct Known Subclasses:
  GangliaSink31

    public class GangliaSink30

extends AbstractGangliaSink

This code supports Ganglia 3.0

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
`AbstractGangliaSink.GangliaConfType, AbstractGangliaSink.GangliaSlope`

Field Summary
`org.apache.commons.logging.Log` | `LOG`
`protected MetricsCache` | `metricsCache`

Fields inherited from class org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
`BUFFER_SIZE, DEFAULT_DMAX, DEFAULT_PORT, DEFAULT_SLOPE, DEFAULT_TMAX, DEFAULT_UNITS, EQUAL, gangliaMetricVisitor, SERVERS_PROPERTY, SUPPORT_SPARSE_METRICS_DEFAULT, SUPPORT_SPARSE_METRICS_PROPERTY`

Constructor Summary
`GangliaSink30()`

Method Summary
`protected void` | `emitMetric(String groupName, String name, String type, String value, org.apache.hadoop.metrics2.sink.ganglia.GangliaConf gConf, AbstractGangliaSink.GangliaSlope gSlope)` The method sends metrics to Ganglia servers.
`void` | `putMetrics(MetricsRecord record)` Put a metrics record in the sink

Methods inherited from class org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
`emitToGangliaHosts, flush, getGangliaConfForMetric, getHostName, init, isSupportSparseMetrics, xdr_int, xdr_string`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public final org.apache.commons.logging.Log LOG

### metricsCache

    protected MetricsCache metricsCache

Constructor Detail

### GangliaSink30

    public GangliaSink30()

Method Detail

### putMetrics

    public void putMetrics(MetricsRecord record)

  Description copied from interface: `MetricsSink`
  Put a metrics record in the sink

  Parameters:
    `record` - the record to put

### emitMetric

    protected void emitMetric(String groupName,
                              String name,
                              String type,
                              String value,
                              org.apache.hadoop.metrics2.sink.ganglia.GangliaConf gConf,
                              AbstractGangliaSink.GangliaSlope gSlope)
                       throws IOException

  The method sends metrics to Ganglia servers. The method has been taken from org.apache.hadoop.metrics.ganglia.GangliaContext30 with minimal changes in order to keep it in sync.

  Parameters:
    `groupName` - The group name of the metric
    `name` - The metric name
    `type` - The type of the metric
    `value` - The value of the metric
    `gConf` - The GangliaConf for this metric
    `gSlope` - The slope for this metric
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation